<?php
namespace Incoviba\nuevo\Inmobiliaria;

use Incoviba\nuevo\Common\Direccion;
use Incoviba\Common\Alias\NewModel;
use Incoviba\Common\Definition\hasRUT;

/**
 * 
 * @author Aldarien
 * @property int rut
 * @property char dv
 * @property string nombres
 * @property string apellidos
 * @property int telefono
 * @property Direccion direccion_id
 *
 */
class Representante extends NewModel
{
	use hasRUT;
	
    protected static $_table = 'representantes';
	
	public function direccion()
	{
		return $this->belongsTo(Direccion::class, 'direccion_id')->findMany();
	}
    public function nombreCompleto()
    {
    	return $this->nombres . ' ' . $this->apellidos;
    }
    
    public function inmobiliarias()
    {
    	return $this->hasMany(Inmobiliaria::class, 'representante_rut', 'rut')->findMany();
    }
	public function agentes()
	{
		return $this->hasMany(Agente::class, 'representante_rut', 'rut')->findMany();
	}
	public function apelativo()
	{
		if ($this->sexo == 'f') {
			return 'doña';
		}
		return 'don';
	}
	public function articulo()
	{
		if ($this->sexo == 'f') {
			return 'la';
		}
		return 'el';
	}
}
